Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 589820

Summary: gfs2_convert doesn't convert quota files
Product: Red Hat Enterprise Linux 5 Reporter: Abhijith Das <adas>
Component: gfs2-utilsAssignee: Abhijith Das <adas>
Status: CLOSED ERRATA QA Contact: Cluster QE <mspqa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 5.6CC: bmarzins, edamato, rpeterso, swhiteho
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gfs2-utils-0.1.62-23.el5 Doc Type: Bug Fix
Doc Text:
Older versions of gfs2_convert were replacing the GFS1 quota file with a newly initialised GFS2 quota file rather than converting it. This meant that quotas had to be reinitialised by the administrator. This fix updates gfs2_convert to convert the content of the quota file correctly.
Story Points: ---
Clone Of:
: 589823 (view as bug list) Environment:
Last Closed: 2011-01-13 23:20:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 589823    
Attachments:
Description Flags
proposed rhel5 patch
none
use inode_read() instead of bread()+inode_get() and remove call to adjust_inode() none

Description Abhijith Das 2010-05-07 01:46:28 UTC
gfs2_convert removes the old quota file with all the user quotas/limits/warnings etc. and replaces it with a newly initialized quota file that's empty.

gfs2_convert should correctly convert the existing quota file for use with the gfs2 filesystem.

Comment 1 Abhijith Das 2010-05-07 02:00:40 UTC
Created attachment 412198 [details]
proposed rhel5 patch

Comment 2 Abhijith Das 2010-05-10 15:30:48 UTC
Created attachment 412874 [details]
use inode_read() instead of bread()+inode_get() and remove call to adjust_inode()

Comment 3 Abhijith Das 2010-05-10 16:56:35 UTC
Pushed above patch to RHEL56 git tree.

Comment 4 Steve Whitehouse 2010-07-14 09:14:10 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Older versions of gfs2_quota were replacing the GFS1 quota file with a newly initialised GFS2 quota file rather than converting it. This meant that quotas had to be reinitialised by the administrator. This fix updates gfs2_convert to convert the content of the quota file correctly.

Comment 5 Robert Peterson 2010-09-17 14:25:54 UTC
Build 2768288 successful.  Changing status to Modified.
This fix is in gfs2-utils-0.1.62-23.el5.

Comment 7 Nate Straz 2010-12-15 20:05:31 UTC
I'm pretty sure you meant gfs2_convert in the Technical Note and not gfs2_quota.

Comment 8 Nate Straz 2010-12-15 20:05:31 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Older versions of gfs2_quota were replacing the GFS1 quota file with a newly initialised GFS2 quota file rather than converting it. This meant that quotas had to be reinitialised by the administrator. This fix updates gfs2_convert to convert the content of the quota file correctly.+Older versions of gfs2_convert were replacing the GFS1 quota file with a newly initialised GFS2 quota file rather than converting it. This meant that quotas had to be reinitialised by the administrator. This fix updates gfs2_convert to convert the content of the quota file correctly.

Comment 9 Nate Straz 2010-12-15 21:32:41 UTC
Verified using gfs2-utils-0.1.62-28.el5

SCENARIO - [quota]
Creating 10G LV quota
Creating file system with quotas to convert
Creating file system on /dev/wic/quota with options '-p lock_nolock -j 1'
Device:                    /dev/wic/quota
Blocksize:                 4096
Filesystem Size:           2588436
Journals:                  1
Resource Groups:           40
Locking Protocol:          lock_nolock
Lock Table:                

Syncing...
All Done
Mounting gfs /dev/wic/quota on dash-01 with opts ''
Quota report before convert
user        root:  limit: 0.0        warn: 10000.0    value: 0.0       
user  testmonkey:  limit: 10.0       warn: 8.0        value: 4.0       
group       root:  limit: 0.0        warn: 0.0        value: 0.0       
group testmonkeys:  limit: 0.0        warn: 0.0        value: 4.0       

Unmounting /mnt/wic on dash-01
Starting fsck of /dev/wic/quota on dash-01
fsck output in /tmp/will-it-convert.27543/1.quota/1.fsck-dash-01-gfs.log
Some file system errors were corrected
Starting gfs2_convert of /dev/wic/quota on dash-01
gfs2_convert output in /tmp/will-it-convert.27543/1.quota/2.convert-dash-01.log
Starting fsck of /dev/wic/quota on dash-01
fsck output in /tmp/will-it-convert.27543/1.quota/3.fsck-dash-01-gfs2.log
Some file system errors were corrected
Mounting gfs2 /dev/wic/quota on dash-01 with opts ''
Quota report after convert
user        root:  limit: 0.0        warn: 10000.0    value: 0.0       
user  testmonkey:  limit: 10.0       warn: 8.0        value: 4.0       
group       root:  limit: 0.0        warn: 0.0        value: 0.0       
group testmonkeys:  limit: 0.0        warn: 0.0        value: 4.0       

Unmounting /mnt/wic on dash-01
Removing LV quota

quota took 18 seconds

Comment 11 errata-xmlrpc 2011-01-13 23:20:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0135.html